import request from '/@/utils/request';

export function useRoleApi() {
    return {
        getRoleList: () => {
            return request({
                url: `/role/list`,
                method: 'post',
            });
        },
        addRole: (data: object) => {
            return request({
                url: `/role/add`,
                method: 'post',
                data:data
            });
        },
        modRole: (data: object) => {
            return request({
                url: `/role/mod`,
                method: 'post',
                data:data
            });
        },
    };
}
